clear all

glo WorkFolder "..\path\"
glo WorkFolder "J:\Work\E_mguzman\2017_PRdebt\informes\"

glo WorkFolder_version "${WorkFolder}\report_jan_2018\"
capture mkdir "${WorkFolder_version}"
capture mkdir "${WorkFolder_version}\tables\"
capture mkdir "${WorkFolder_version}\figures\"
capture mkdir "${WorkFolder_version}\figures\png\"
capture mkdir "${WorkFolder_version}\figures\wmf\"
glo path_do "${WorkFolder_version}\"
glo path_table "${WorkFolder_version}\tables\"
glo path_figures "${WorkFolder_version}\figures\"
loc originaldebt "up low"

glo count =1
foreach odebt of local originaldebt {
	forvalues sshock=0/1 {
		forvalues intrate=5(0.5)6.5 {
			glo supply_shocks =`sshock'
			loc R=`intrate'
			glo R_glo=`R'/100
			loc tR=strtoname("${R_glo}",0)
			loc nglp=2.6
			glo ngblp_glo=`nglp'/100
			loc tngblp=strtoname("${ngblp_glo}",0)
			
			if "`odebt'"=="up" glo debt_feb_17 =72263 
			if "`odebt'"=="up" glo odebt ="up" 
			if "`odebt'"=="low" glo debt_feb_17 =51916
			if "`odebt'"=="low" glo odebt ="low" 
			
			if ${supply_shocks}==1 glo title "R`tR'_g`tngblp'_`odebt'_sr"
			if ${supply_shocks}!=1 glo title "R`tR'_g`tngblp'_`odebt'"

			di "$title"
			di "01_Base_16_26_scenarios"
			qui do "${path_do}\01_Base_16_26_scenarios.do"
			di "02_Base_16_26_36_ss"
			qui do "${path_do}\02_Base_16_26_36_ss.do"
			di "03_Tables_Figures"
			qui do "${path_do}\03_Tables_Figures.do"
			di "04_extra"
			qui do "${path_do}\04_extra.do"
			glo count=$count+1
		}
	}
}
*/



